package com.dbxml.db.server.labrador;

/*
 * dbXML - Native XML Database
 * Copyright (C) 1999-2004  The dbXML Group, L.L.C.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: BasicAuthFilter.java,v 1.2 2004/02/12 00:17:58 bradford Exp $
 */

import com.dbxml.db.core.security.SecurityException;
import com.dbxml.db.core.security.SecurityManager;
import com.dbxml.labrador.Request;

/**
 * BasicAuthFilter
 */

public final class BasicAuthFilter extends com.dbxml.labrador.filters.BasicAuthFilter {
   private SecurityManager security;

   public BasicAuthFilter(SecurityManager security) {
      this.security = security;
   }

   public String getAuthRealm(Request request) {
      return "dbXML Server";
   }

   public boolean isAuthRequired(Request request) {
      return true;
   }

   public boolean isAuthValid(String user, String pass) {
      try {
         security.authenticate(user, pass);
         return true;
      }
      catch ( SecurityException e ) {
         return false;
      }
   }
}
